<?
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
$id = $row['id'];
$theme = $row['theme'];
## Получить название дня недели ##
$engDay = date("l");
## Определить название дня недели по-русски ##
switch($engDay){
case "Monday": $rusDay = "Понедельник"; break;
case "Tuesday": $rusDay = "Вторник"; break;
case "Wednesday": $rusDay = "Среда"; break;
case "Thursday": $rusDay = "Четверг"; break;
case "Friday": $rusDay = "Пятница"; break;
case "Saturday": $rusDay = "Суббота°"; break;
default: $rusDay = "Воскресенье"; break;
}

$t=date("H:i:s", mktime(date ("H")+0)); ## время, +0 - отличие от времени сервера ##
$d=date("d F Y", time()); ## дата
$d = str_replace("January","Января",$d); 
$d = str_replace("February","Февраля",$d); 
$d = str_replace("March","Марта",$d);
$d = str_replace("April","Апреля",$d); 
$d = str_replace("May","Мая",$d); 
$d = str_replace("June","Июня",$d); 
$d = str_replace("July","Июля" ,$d); 
$d = str_replace("August","Августа",$d); 
$d = str_replace("September","Сентября",$d); 
$d = str_replace("October","Октября",$d); 
$d = str_replace("November","Ноября",$d); 
$d = str_replace("December","Декабря",$d);

$datep = date("d.m");
$m=date("d-m-");
$select = mysql_query ("Select id from users where id = '".$id."' and birth LIKE '%$m%' ");
$inf = @mysql_fetch_array ($select);
//$usid=$inf["id"];
$usid=$row["id"];
if ( 20 < $theme)
{
echo "<div class=t>".$t."</div>"; //переменная времени
echo "<div class=t>".$d."</div>"; //переменная даты
echo "<div class=t>".$rusDay."</div>"; //день недели
}
else if ( 0 or 1 or 2 or 3 or 4 or 5  or 6 or 7 or 8 or 9 or 10 == $theme)
{
echo "<div>Сейчас: ".$t.", ".$d." (".$rusDay.")</div>"; //переменная времени
}
if ($datep=="30.08"){
echo $divide;
echo "Сегодня день рожденья у самого лучшего админа GreeNLine :)<br>Встречаемся в комнате Общая в 9 часов по Мосовскому времени!<br/>";
}
if ($datep=="20.03"){
echo $divide;
echo "Сегодня День Рождения У самой дерзкой ЯЗВЫ!!! Поздравлять не обизательно! НЕ ОБИЖУСЬ ! $index =)<br/>";
}

## I?? 15.03.2008 ##
//$cid=$row["id"];


$curday=date("d");
$curmonth=date("m");

$q_bd=mysql_query("SELECT COUNT(`id`) from users WHERE bday = '".$curday."' and bmonth='".$curmonth."'");
$bd_count =   mysql_result($q_bd, 0);

if ($bd_count > 0) 
{
echo "Сегодня днюхи у $bd_count чел.<br/>";

//////////////////////////////////
$curdata = date( "-m-d" );
$year = date("Y");
$byear = $row['byear'];
$r = mysql_query( "SELECT id, login, birth, byear from users WHERE  bdata LIKE '%$curdata%' order by id desc limit 10" );
//if ( mysql_num_rows( $r ) == 0 )
//{
//echo "<div>Сегодня  именинников нет.</div>";
///}
//else
{
$i = 1;
echo "<div class=\"data\">Сегодняшние именинники:<p align=\"left\">";
while ( $a = mysql_fetch_array( $r ) )
{
##### подсчёт возраста именинников #######
$byear = $a[3];
if ($year>$byear) $age=$year-$byear; 
else  $age="Не известны";
if ((!$age)||($age==0)||($age=="")||($age>$year)) $age="Не известны";
else if (($age==1)||($age==21)||($age==31)||($age==41)||($age==51)) $years = "год";
else if (($age==2)||($age==3)||($age==4)||($age==22)||($age==23)||($age==24)||($age==32)||($age==33)||($age==34)||($age==42)||($age==43)||($age==44)||($age==52)||($age==53)||($age==54))  $years = "года";
else if ($age>100) $age ="Не известны";
else  $years = "лет";
$age="<b>".$age."</b>\n";

echo ($i++). ")&nbsp<b><a href=\"user.php?id={$id}&amp;pass={$pass}&amp;dbid={$a['id']}\">{$a['login']}</a></b>  - <b>( ".($age)."$years )</b><br/>";
#####*/
}
echo "<marquee behavior=\"\" direction=\"\" loop=\"-1\"><font color=\"red\"><b>$ Примите поздравления от $index <img src=\"pics/data.gif\" alt=\"Поздравляем\"/></b></font></marquee></div>";
}



}

if ($datep=="31.12"){
echo $divide;
echo "С Новым годом!<br/>";
}
if ($datep=="01.01"){
echo $divide;
echo "С Новым годом!<br/>";
}
if ($datep=="07.01"){
echo $divide;
echo "С Рождеством Христовым!<br/>";
}
if ($datep=="19.01"){
echo $divide;
echo "С Крещением Христовым!<br/>";
}
if (($datep=="14.02")&&($row["sex"]=="2")){
echo $divide;
echo "<b>".$login."</b>, не забудь поздравить своего любимого, сегодня ДЕНЬ СВЯТОГО ВАЛЕНТИНА!<br/>";
}
if (($datep=="14.02")&&($row["sex"]=="1")){
echo $divide;
echo "<b>".$login."</b>, не забудь поздравить свою любимую, сегодня ДЕНЬ СВЯТОГО ВАЛЕНТИНА!<br/>";
}
if (($datep=="23.02")&&($row["sex"]=="1")){
echo $divide;
echo "<b>".$login."</b>, сегодня твой праздник, ДЕНЬ ЗАЩИТНИКА ОТЕЧЕСТВА!<br/>";
}
if (($datep=="23.02")&&($row["sex"]=="2")){
echo $divide;
echo "<b>".$login."</b>, Не забудь поздравить своего парня, и всех друзей, ведь сегодня ДЕНЬ ЗАЩИТНИКА ОТЕЧЕСТВА!<br/>";
}
if (($datep=="08.03")&&($row["sex"]=="2")){
echo $divide;
echo "<b>".$login."</b>, сегодня твой праздник, 8 марта!Поздравляю,солнышко!<br/>";
}
if (($datep=="08.03")&&($row["sex"]=="1")){
echo $divide;
echo "<b>".$login."</b>, сегодня 8 марта...Чего тут сидишь? Беги поздравляй любимую! =)<br/>";
}
if ($datep=="01.04"){
echo $divide;
echo "С 1 апреля ... Три раза подумайте,прежде чем кому то верить! =)<br/>Сегодня на сайте waufon.ru Разыгрываетсо лоторея<br/> Каждому пятому посетителю подарок в экваволенте 30 баксов.<br/>Спеши гг сёня там все лопухи тусить будут.<br/>";
}
if ($datep=="01.05"){
echo $divide;
echo "1 мая, день солидарности трудящихся...будьте солидарны друг к другу, и трудитесь! =)<br/>";
}
if ($datep=="09.05"){
echo $divide;
echo "С Великим праздником Великой победы!<br/>";
}
if ($datep=="01.06"){
echo $divide;
echo "Сегодня Международный день защиты детей...не обижайте детишек в чате! =)!<br/>";
}
if ($datep=="01.09"){
echo $divide;
echo "1 сентября...Ученье-свет, а неученье-чуть свет и на работу! =)<br/>";
}
?>